﻿using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ClientServer.Migrations
{
    public partial class MoreTestLimitsAndCompilerTimeout : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "CustomProjectTestCompileTimeoutInMs",
                table: "SystemSettings",
                nullable: false,
                defaultValue: 2000);

            migrationBuilder.AddColumn<int>(
                name: "JustRunProgramCompileTimeoutInMs",
                table: "SystemSettings",
                nullable: false,
                defaultValue: 2000);

            migrationBuilder.AddColumn<int>(
                name: "CompileTimeoutInMs",
                table: "TestCaseSettingses",
                nullable: false,
                defaultValue: 2000);

            migrationBuilder.AddColumn<int>(
                name: "CompileTimeoutInMs",
                table: "DefaultCustomTestSettings",
                nullable: false,
                defaultValue: 2000);

            migrationBuilder.AddColumn<int>(
                name: "CompileTimeoutInMsUsed",
                table: "TestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TimeoutInMsUsed",
                table: "TestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "CompileTimeoutInMsUsed",
                table: "CustomTestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TimeoutInMsUsed",
                table: "CustomTestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "CompileTimeoutInMsUsed",
                table: "TestWithAfterSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TimeoutInMsUsed",
                table: "TestWithAfterSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "CompileTimeoutInMsUsed",
                table: "CustomTestWithAfterSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TimeoutInMsUsed",
                table: "CustomTestWithAfterSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "CompileTimeoutInMsUsed",
                table: "CustomProjectTestWithSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TimeoutInMsUsed",
                table: "CustomProjectTestWithSolutionAsTestResults",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CustomProjectTestCompileTimeoutInMs",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "JustRunProgramCompileTimeoutInMs",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "CompileTimeoutInMs",
                table: "TestCaseSettingses");

            migrationBuilder.DropColumn(
                name: "CompileTimeoutInMs",
                table: "DefaultCustomTestSettings");

            migrationBuilder.DropColumn(
                name: "CompileTimeoutInMsUsed",
                table: "TestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "TimeoutInMsUsed",
                table: "TestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "CompileTimeoutInMsUsed",
                table: "CustomTestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "TimeoutInMsUsed",
                table: "CustomTestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "CompileTimeoutInMsUsed",
                table: "TestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "TimeoutInMsUsed",
                table: "TestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "CompileTimeoutInMsUsed",
                table: "CustomTestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "TimeoutInMsUsed",
                table: "CustomTestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "CompileTimeoutInMsUsed",
                table: "CustomProjectTestWithSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "TimeoutInMsUsed",
                table: "CustomProjectTestWithSolutionAsTestResults");
        }
    }
}
